### Signal

# Panel SaveDelegate::discard

since: 1

#### Declaration

    void
    discard (
      PanelSaveDelegate* self,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the user has requested that the delegate discard the changes instead of saving them.

Implementations are encouraged to connect to this signal (or implement the virtual method) and revert the document to the last saved state and/or close the document.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1